﻿Imports System.Windows.Forms

Public Class Dialg_ProjAusw
    Friend index As Integer
    Private _wahlProjekt As Projekt

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        index = CB_Auswahl.SelectedIndex
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub Dialg_ProjAusw_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If ClassMain.ProjList.Count > 0 Then
            CB_Auswahl.Items.Clear()
            For i = 0 To ClassMain.ProjList.Count - 1
                CB_Auswahl.Items.Add(ClassMain.ProjList.Item(i).Bezeichnung)
            Next
            CB_Auswahl.SelectedIndex = 0
        Else
            Dim NeuDialog As New Dialg_Neu
            If NeuDialog.ShowDialog = Windows.Forms.DialogResult.OK Then
                ClassMain.ProjList.Insert(0, NeuDialog.Projekt_Neu)
                Do Until ClassMain.ProjList.Count > 8
                    ClassMain.ProjList.RemoveAt(ClassMain.ProjList.Count)
                Loop
            End If
        End If
    End Sub

    Private Sub Neu_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Neu_Button.Click
        ClassMain.ProjektNeu()
        CB_Auswahl.Items.Clear()
        For i = 0 To ClassMain.ProjList.Count - 1
            CB_Auswahl.Items.Add(ClassMain.ProjList.Item(i).Bezeichnung)
        Next
        CB_Auswahl.SelectedIndex = 0
    End Sub
    Private Sub CB_Auswahl_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CB_Auswahl.SelectedIndexChanged
        _wahlProjekt = ClassMain.ProjList.Item(CB_Auswahl.SelectedIndex)
        Firma_Button.Text = "Firma: " & _wahlProjekt.iProps.Item("Company")

    End Sub

    Private Sub Firma_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Firma_Button.Click
        Dim FirmaEdit As New Dialg_Firma_Edit
        FirmaEdit.Text = String.Format("Firma für Projekt {0}", _wahlProjekt.iProps.Item("Project"))
        FirmaEdit.TB_Firma.Text = _wahlProjekt.iProps("Company")
        If FirmaEdit.ShowDialog = Windows.Forms.DialogResult.OK Then
            _wahlProjekt.iProps("Company") = FirmaEdit.TB_Firma.Text
            Firma_Button.Text = "Firma: " & _wahlProjekt.iProps.Item("Company")
        End If
    End Sub
End Class
